﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.1
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Public jdbcURL 				As String
	Public Driver 				As String '= "com.mysql.jdbc.Driver"
	Public Server 				As String '= "jdbc:mysql://192.168.1.7/school_dbase2020"
	Public DatabaseName 		As String
	Public Username 			As String '= "user"
	Public Password 			As String '= "linksys123@"
	Public Message 				As String
End Sub

public Sub Connect As ResumableSub
	Libraries.mySQL.InitializeAsync("mySQL", Driver, jdbcURL, Username, Password)
	Wait For mySQL_Ready (Success As Boolean)
	If Success = False Then
		Log("Check unfiltered logs for JDBC errors.")
		Message = LastException
	End If
	Log("Connection: " & Success)
	Return Success
End Sub

public Sub CloseConnection
	Libraries.mySQL.Close
End Sub

public Sub GetMessage As ResumableSub
	'Dim rndBegin, rndEnd As Int
	
	'rndBegin = Rnd * Controls.LastDigit.Length
	'Controls.LastDigit = Libraries.strFunction.RndChrGen(Controls.LastDigit.Length, 0)
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			Dim sf As Object = Libraries.mySQL.ExecQueryAsync("mysql", "SELECT * FROM tblmaster_sms_outbox WHERE id = ?", Array As String(2))
			'Dim sf As Object = Libraries.mysql.ExecQuery2("SELECT * FROM tblmaster_sms_outbox WHERE id = ?", Array As String(2))
			Wait For (sf) mySQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Do While Crsr.NextRow
					Controls.RecipientID = Crsr.GetString("id")
					Controls.Recipient = Crsr.GetString("sms_destination")
					Controls.NotificationMessage = Crsr.GetString("sms_message")
					Controls.hasRecord = True
					Log("Get Message")
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Public Sub DeleteMessage As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			Libraries.mysql.ExecNonQuery2("DELETE FROM tblmaster_sms_outbox WHERE id = ?", Array As Object(1))
			Dim sf As Object = Libraries.mysql.ExecNonQueryBatch("mySQL")
			Wait For (sf) mysql_NonQueryComplete (Success As Boolean)
			If Success Then
				Log("Delete Message")
				Return Success
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Public Sub WriteAPI As ResumableSub
	Dim List1 As List
	'Dim b() As Byte = Libraries.enc.Encrypt(Password.GetBytes("UTF8"), Controls.encPass)
	List1.Initialize
	
	Try
		List1.Add(Libraries.strFunction.Encrypt(Driver))
		List1.Add(Libraries.strFunction.Encrypt(Server))
		List1.Add(Libraries.strFunction.Encrypt(DatabaseName))
		List1.Add(Libraries.strFunction.Encrypt(Username))
		List1.Add(Libraries.strFunction.Encrypt(Password))
	
		File.WriteList(File.DirApp, "api.txt", List1)
		Return True
	Catch
		Log(LastException)
		Return False
	End Try
End Sub

Sub ReadAPI As ResumableSub
	Dim List1 As List 
	'We are not initializing the list because it just holds the list that returns from File.ReadList
	List1 = File.ReadList(File.DirApp, "api.txt")
	
	Try
		If List1.Size = 0 Then
			Return False
		Else
			Driver = Libraries.strFunction.Decrypt(List1.Get(0))
			Server = Libraries.strFunction.Decrypt(List1.Get(1))
			DatabaseName = Libraries.strFunction.Decrypt(List1.Get(2))
			Username = Libraries.strFunction.Decrypt(List1.Get(3))
			Password = Libraries.strFunction.Decrypt(List1.Get(4))
			jdbcURL = "jdbc:mysql://" & Server & "/" & DatabaseName
			Return True
		End If
	Catch
		Log(LastException)
		Return False
	End Try
End Sub
